%define desktop_vendor newrpms
%{!?_dist: %{expand: %%define dist rhfc14}}

Summary:	GAdmin-HTTPD -- A GTK+ administation tool for the Apache Web server.
Name:		gadmin-httpd
Version:	0.1.5
Release:	0.1.%{dist}.nr
License:	GPL
Group:		Applications/System
URL:		http://mange.dynalias.org/linux.html
Source0:	http://mange.dynalias.org/linux/%{name}/%{name}-%{version}.tar.gz
BuildRoot:	%{_builddir}/%{name}-%{version}-root
Provides:	gadmin-httpd

%description
Gadmin-HTTPD is a fast and easy to use GTK+ administration tool for the Apache Webserver.

%prep
%setup -q
%configure SYSINIT_START_CMD="chkconfig httpd on" SYSINIT_STOP_CMD="chkconfig httpd off"

%build
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall INSTALL_USER=`id -un` INSTALL_GROUP=`id -gn`

# pam auth
install -d %{buildroot}%{_sysconfdir}/pam.d/
install -d %{buildroot}%{_sysconfdir}/security/console.apps
install -m 644 %{_sysconfdir}/pam.d/%{name} %{buildroot}%{_sysconfdir}/pam.d/%{name}
install -m 644 %{_sysconfdir}/security/console.apps/%{name} %{buildroot}%{_sysconfdir}/security/console.apps/%{name}

# desktop entry
install -d %{buildroot}%{_datadir}/applications
install -m 644 desktop/gadmin-httpd.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop

# doc files.. 
install -d %{buildroot}%{_datadir}/doc/%{name}
install -m 644  README COPYING AUTHORS ChangeLog %{buildroot}%{_datadir}/doc/%{name}

### Fixme, translations %find_lang %name

%post 
if test ! -h %{_bindir}/gadmin-httpd ; then \
ln -s %{_bindir}/consolehelper %{_bindir}/gadmin-httpd ; \
fi;

%clean
rm -rf $RPM_BUILD_ROOT

### Fix, translations  %files -f %{name}.lang
%files
%defattr(0755, root, root)
%{_sbindir}/%{name}
#%defattr(0660, root, root)
#%{_sysconfdir}/%{name}/%{name}.pem
#%config %{_sysconfdir}/%{name}/gprotls.conf

%defattr(0644, root, root)
#%doc COPYING AUTHORS ChangeLog
%{_datadir}/doc/%{name}/README
%{_datadir}/doc/%{name}/COPYING 
%{_datadir}/doc/%{name}/AUTHORS 
%{_datadir}/doc/%{name}/ChangeLog

%{_sysconfdir}/pam.d/%{name}
%{_sysconfdir}/security/console.apps/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/*.png
%dir %{_datadir}/pixmaps/%{name}
%{_datadir}/pixmaps/%{name}/*.png

%changelog
* Sun Nov 28 2011 Magnus-swe <magnus-swe@telia.com>
- Deletes .htaccess files when the last user is removed.
- Fixes a possible startup crash.
- Indentation fixes and cleanups.
* Fri Aug 13 2010 Magnus-swe <magnus-swe@telia.com>
- Fixes AddLanguage for modules and addons.
- Removes obsolete warnings.
- Default configuration allows localhost.localdomain
- to view the server-status by default.
- (Only using localhost on lucid wont allow access).
- Automatically adjusts the following type of option
- values if a configuration merge has been executed:
- $APACHE_RUN_USER, $APACHE_RUN_GROUP and $APACHE_PID_FILE
- Typically if using an external envvars file.
- Added configure option SERVER_PIDFILE that should
- be set to the full path of the apache pidfile location.

* Sun Apr 16 2010 Magnus-swe <magnus-swe@telia.com>
- Handles many variants of the include option.
- Removed mod_file_cache.so and
- mod_mem_cache.so from standard conf.
- Using AddDefaultCharset Off by default.
- Fixes array comparizon warnings.
- Sets status color and missing server color.
* Sun Mar 30 2008 Magnus-swe <magnus-swe@telia.com>
- Adds missing options.
* Sun Feb 24 2008 Magnus-swe <magnus-swe@telia.com>
- Added virtual user management and per directory .htaccess handling.
* Sun Feb 24 2008 Magnus-swe <magnus-swe@telia.com>
- Switched to GPL version 3.
- Changed name to gadmin-httpd.
* Fri Apr 9 2007 Magnus-swe <magnus-swe@telia.com>
- Initial release.
